<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Go](./bitburner.go.md) &gt; [getGameState](./bitburner.go.getgamestate.md)

## Go.getGameState() method

Gets the status of the current game. Shows the current player, current score, and the previous move coordinates. Previous move will be null for a pass, or if there are no prior moves.

**Signature:**

```typescript
getGameState(): {
    currentPlayer: "White" | "Black" | "None";
    whiteScore: number;
    blackScore: number;
    previousMove: [number, number] | null;
    komi: number;
    bonusCycles: number;
  };
```
**Returns:**

{ currentPlayer: "White" \| "Black" \| "None"; whiteScore: number; blackScore: number; previousMove: \[number, number\] \| null; komi: number; bonusCycles: number; }

